/*These two items make multiselect lists show the checkbox beside selected items*/
div.multiselect div.x-boundlist-list-ct ul.x-list-plain li.x-boundlist-selected {
	background-image: url('img/multiselect-combo-selected.png');
	background-repeat: no-repeat;
}
div.multiselect div.x-boundlist-list-ct ul.x-list-plain li.x-boundlist-item {
	padding-left: 20px;
}

/* Allow word wrap in grid columns */
div.word-wrap {
	white-space: pre-wrap !important;
	display: inline-block;
}

/* Force custom scrollbars on webkit browsers.  This addresses the issue of hidden scrollbars, which is unfortunately the default on OSX 10.8 (bad Apple!) */
::-webkit-scrollbar { height: 8px; width: 8px; }
::-webkit-scrollbar-thumb { -webkit-border-radius: 4px; background: rgba(0,0,0,0.4); }

/* Work around a chrome bug where menus, comboboxes, and windows sometimes appear underneath grids in dashboards.  Intermittent and very annoying... be 
	sure to verify that this bug is fixed before removing this code.
	The suggestion for the fix of this bug is described http://stackoverflow.com/questions/5472802/css-z-index-lost-after-webkit-transform-translate3d
	Trying to keep it as specific as possible to keep it from causing other problems.
*/
div.x-boundlist,
div.x-layer,
div.x-menu,
div.x-tip,
div.x-window {
	-webkit-transform: translate3d(0, 0, 1px);
}

.black {
	color: black !important;
}

/*
 * Work around for Safari bug where main menu shows ellipses as if there was not enough room.  See
 * https://forum.sencha.com/forum/showthread.php?306572-Safari-Gray-theme-button-text-issue&p=1120057#post1120057
 * for details.
 */
span.x-btn-inner {
	text-overflow: initial;
}

/*
 * Work around for Safari bug where fieldsets do not show titles.  See 
 * https://www.sencha.com/forum/showthread.php?423768-ExtJS-6-5-0-Fieldset-legend-are-not-visible-in-Safari-11 for details and suggested CSS workaround.
 */
.x-fieldset-header-default > .x-fieldset-header-text {
	position:static;
}
<#if enableBuilder>
.CodeMirror {
	font-size: 14px;
}
.CodeMirror-syntax-error {
	text-decoration: underline;
	text-decoration-color: red;
	text-decoration-style: wavy;
}
</#if>

/* 
 * Make the grid groupings more visible - BOA-528
 */
table.x-grid-item tbody tr td.x-group-hd-container {
	border-top: 1px solid #333;
}
table.x-grid-item tbody tr td.x-group-hd-container div.x-grid-group-hd div.x-grid-group-title {
	font-weight: bold;
	visibility: visible !important;
}

/*
 * Fix an alignment issue with the first row after a grouping row.  Most likely is a byproduct of our "h1" hidden locked column
 * which is a workaround for other interesting behaviour.  See BOA-775 for discussion.
 */
div.x-grid-scrollbar-clipper-locked table.x-grid-item colgroup col:nth-child(1) {
	width: 1px !important
}
